Package com.dropbox.core.v2.team
Class SharingAllowlistRemoveBuilder
java.lang.Object
com.dropbox.core.v2.team.SharingAllowlistRemoveBuilder
The request builder returned by
DbxTeamTeamRequests.sharingAllowlistRemoveBuilder().
Use this class to set optional request parameters and complete the request.
-
Method Summary
Modifier and TypeMethodDescriptionstart()Issues the request.withDomains(List<String> domains) Set value for optional field.withEmails(List<String> emails) Set value for optional field.
-
Method Details
-
withDomains
Set value for optional field.- Parameters:
domains- List of domains represented by valid string representation (RFC-1034/5). Must not contain anullitem.- Returns:
- this builder
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.
-
withEmails
Set value for optional field.- Parameters:
emails- List of emails represented by valid string representation (RFC-5322/822). Must not contain anullitem.- Returns:
- this builder
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.
-
start
public SharingAllowlistRemoveResponse start() throws SharingAllowlistRemoveErrorException, DbxExceptionIssues the request.
-